package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoAgencia;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoAgencia;

public class RenderPricingAgencia implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		if(o instanceof PricingEspecificoAgencia) {
			PricingEspecificoAgencia pea = (PricingEspecificoAgencia) o;
	
			if (!pea.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pea.getPuntoVenta().getPuntoventaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pea.getPuntoVenta().getNombpuntoventa().toString());
			lc.setParent(lstm);
	
		} else {
			GP_PricingEspecificoAgencia pea = (GP_PricingEspecificoAgencia) o;
			
			if (!pea.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pea.getPuntoVenta().getPuntoventaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pea.getPuntoVenta().getNombpuntoventa().toString());
			lc.setParent(lstm);
		}

	}

}
